org.keycloak.authorization.protection.permission

## Class PermissionTicket

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.authorization.protection.permission.PermissionTicket

- All Implemented Interfaces:
    Serializable

      public class PermissionTicket
      extends JsonWebToken

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, id, issuedAt, issuedFor, issuer, notBefore, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicket()`
    `PermissionTicket(List<ResourceRepresentation> resources, String resourceServerId, AccessToken accessToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ResourceRepresentation>` | `getResources()`
    `String` | `getResourceServerId()`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, getAudience, getExpiration, getId, getIssuedAt, getIssuedFor, getIssuer, getNotBefore, getOtherClaims, getSubject, getType, hasAudience, id, isActive, isExpired, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicket

          public PermissionTicket()

    - #### PermissionTicket

          public PermissionTicket(List<ResourceRepresentation> resources,
                                  String resourceServerId,
                                  AccessToken accessToken)

  - ### Method Detail

    - #### getResources

          public List<ResourceRepresentation> getResources()

    - #### getResourceServerId

          public String getResourceServerId()

Copyright © 2016 JBoss by Red Hat. All rights reserved.